Package com.io7m.idstore.server.logging

# Class IdLoggingHTTPRequestLayout

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.LayoutBase<ch.qos.logback.classic.spi.ILoggingEvent>
com.io7m.idstore.server.logging.IdLoggingHTTPRequestLayout

All Implemented Interfaces:
  `ch.qos.logback.core.Layout<ch.qos.logback.classic.spi.ILoggingEvent>`, `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.LifeCycle`

public final class IdLoggingHTTPRequestLayout extends ch.qos.logback.core.LayoutBase<ch.qos.logback.classic.spi.ILoggingEvent>
A logging pattern specifically for HTTP requests.

See Also:
  - `IdServerRequestLog`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MDC_REQUEST_DOMAIN`
  `static final String`
  `MDC_REQUEST_ID`
  `static final String`
  `MDC_REQUEST_METHOD`
  `static final String`
  `MDC_REQUEST_REMOTE_HOST`
  `static final String`
  `MDC_REQUEST_REMOTE_PORT`
  `static final String`
  `MDC_REQUEST_URI`
  `static final String`
  `MDC_REQUEST_USER_AGENT`
  `static final String`
  `MDC_RESPONSE_CONTENT_LENGTH`
  `static final String`
  `MDC_RESPONSE_CONTENT_TYPE`
  `static final String`
  `MDC_RESPONSE_DURATION`
  `static final String`
  `MDC_RESPONSE_HTTP_STATUS`

  ### Fields inherited from class ch.qos.logback.core.LayoutBase

  `started`

  ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdLoggingHTTPRequestLayout()`
  A logging pattern specifically for HTTP requests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `doLayout(ch.qos.logback.classic.spi.ILoggingEvent event)`

  ### Methods inherited from class ch.qos.logback.core.LayoutBase

  `getContentType, getContext, getFileFooter, getFileHeader, getPresentationFooter, getPresentationHeader, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, start, stop`

  ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

  `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

- ## Field Details

  - ### MDC_REQUEST_DOMAIN

    public static final String MDC_REQUEST_DOMAIN
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_ID

    public static final String MDC_REQUEST_ID
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_METHOD

    public static final String MDC_REQUEST_METHOD
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_REMOTE_HOST

    public static final String MDC_REQUEST_REMOTE_HOST
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_REMOTE_PORT

    public static final String MDC_REQUEST_REMOTE_PORT
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_URI

    public static final String MDC_REQUEST_URI
    See Also:
      - Constant Field Values

  - ### MDC_REQUEST_USER_AGENT

    public static final String MDC_REQUEST_USER_AGENT
    See Also:
      - Constant Field Values

  - ### MDC_RESPONSE_CONTENT_LENGTH

    public static final String MDC_RESPONSE_CONTENT_LENGTH
    See Also:
      - Constant Field Values

  - ### MDC_RESPONSE_CONTENT_TYPE

    public static final String MDC_RESPONSE_CONTENT_TYPE
    See Also:
      - Constant Field Values

  - ### MDC_RESPONSE_DURATION

    public static final String MDC_RESPONSE_DURATION
    See Also:
      - Constant Field Values

  - ### MDC_RESPONSE_HTTP_STATUS

    public static final String MDC_RESPONSE_HTTP_STATUS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IdLoggingHTTPRequestLayout

    public IdLoggingHTTPRequestLayout()
    A logging pattern specifically for HTTP requests.
    See Also:
      - `IdServerRequestLog`

- ## Method Details

  - ### doLayout

    public String doLayout(ch.qos.logback.classic.spi.ILoggingEvent event)